desync(1)

NAME
desync-completion-bash - Generate the autocompletion script for bash

SYNOPSIS
desync completion bash

DESCRIPTION
Generate the autocompletion script for the bash shell.

This script depends on the 'bash-completion' package. If it is not installed already, you can install it via your OS's package manager.

To load completions in your current shell session:
    source <(desync completion bash)

To load completions for every new session, execute once:

  Linux:
    desync completion bash > /etc/bash_completion.d/desync

  macOS:
    desync completion bash > $(brew --prefix)/etc/bash_completion.d/desync

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for bash

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

SEE ALSO
desync-completion(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra